Skip to content

Get the position of a reply in a paginated list

GET
/replies/{replyId}/offset
curl --request GET \
--url 'https://api.ethos.network/api/v2/replies/1/offset?contractType=attestation&orderBy=score&orderDirection=asc&parentId=1'

Returns the 0-based offset of a reply within its parent reply list, given sort parameters. Used for deep-linking to navigate to the correct page.

replyId
required
integer
<= 2147483647
contractType
required
string
Allowed values: attestation bond broker discussion review slash vouch vouchV2 project reputationMarket
excludeUnverified
boolean
orderBy
string
default: createdAt
Allowed values: score createdAt votes
orderDirection
string
default: desc
Allowed values: asc desc
parentId
required
integer
<= 2147483647

Successful response

Media typeapplication/json
object
offset
required
integer
<= 9007199254740991

Example generated

{
"offset": 1
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}